Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages

### - b -

- backup() : Lucene::FastCharStream , Lucene::QueryParserCharStream
- balanceRAM() : Lucene::DocumentsWriter
- BaseCharFilter() : Lucene::BaseCharFilter
- begin() : Lucene::Collection< TYPE > , Lucene::Set< TYPE, LESS > , Lucene::DisjunctionMaxQuery , Lucene::SimpleLRUCache< KEY, VALUE, HASH, EQUAL > , Lucene::BooleanQuery , Lucene::HashMap< KEY, VALUE, HASH, EQUAL > , Lucene::CharArraySet , Lucene::HashSet< TYPE, HASH, EQUAL > , Lucene::Collection< TYPE > , Lucene::Map< KEY, VALUE, LESS >
- BeginToken() : Lucene::FastCharStream , Lucene::QueryParserCharStream
- binarySearch() : Lucene::StringOrdValComparator
- binarySearchLookup() : Lucene::StringIndex
- bits2words() : Lucene::OpenBitSet
- BitSet() : Lucene::BitSet
- bitSpans() : Lucene::CachingSpanFilter , Lucene::SpanFilter , Lucene::SpanQueryFilter
- BitVector() : Lucene::BitVector
- blockAddIndexes() : Lucene::IndexWriter
- BooleanClause() : Lucene::BooleanClause
- BooleanQuery() : Lucene::BooleanQuery
- BooleanScorer() : Lucene::BooleanScorer
- BooleanScorer2() : Lucene::BooleanScorer2
- BooleanScorerCollector() : Lucene::BooleanScorerCollector
- boostString() : Lucene::Query
- Bucket() : Lucene::Bucket
- BucketScorer() : Lucene::BucketScorer
- BucketTable() : Lucene::BucketTable
- bufferDeleteQueries() : Lucene::DocumentsWriter
- bufferDeleteQuery() : Lucene::DocumentsWriter
- bufferDeleteTerm() : Lucene::DocumentsWriter
- bufferDeleteTerms() : Lucene::DocumentsWriter
- BufferedDeletes() : Lucene::BufferedDeletes
- BufferedIndexInput() : Lucene::BufferedIndexInput
- BufferedIndexOutput() : Lucene::BufferedIndexOutput
- BufferedReader() : Lucene::BufferedReader
- bufferSkip() : Lucene::MultiLevelSkipListWriter
- byteAt() : Lucene::Payload
- ByteBlockAllocator() : Lucene::ByteBlockAllocator
- ByteBlockPool() : Lucene::ByteBlockPool
- ByteCache() : Lucene::ByteCache
- ByteComparator() : Lucene::ByteComparator
- ByteFieldSource() : Lucene::ByteFieldSource
- bytesAllocated() : Lucene::DocumentsWriter
- bytesDifference() : Lucene::MiscUtils
- ByteSliceReader() : Lucene::ByteSliceReader
- ByteSliceWriter() : Lucene::ByteSliceWriter
- bytesPerPosting() : Lucene::TermVectorsTermsWriter , Lucene::FreqProxTermsWriter , Lucene::TermsHashConsumer
- bytesUsed() : Lucene::DocumentsWriter
- byteToDouble() : Lucene::SmallDouble

clucene.sourceforge.net